import { ComponentOptionsMixin } from 'vue';
import { ComponentProvideOptions } from 'vue';
import { default as DatetimePicker } from './components/data-input/datetimePicker.vue';
import { DefineComponent } from 'vue';
import { PublicProps } from 'vue';

declare const __VLS_component: DefineComponent<Props, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<Props> & Readonly<{}>, {
outlined: boolean;
active: boolean;
loading: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLButtonElement>;

declare const __VLS_component_10: DefineComponent<    {}, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, true, {}, HTMLDivElement>;

declare const __VLS_component_11: DefineComponent<Props_15, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<Props_15> & Readonly<{}>, {
isCollapsed: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLElement>;

declare const __VLS_component_12: DefineComponent<Props_16, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
"tab-changed": (...args: any[]) => void;
}, string, PublicProps, Readonly<Props_16> & Readonly<{
"onTab-changed"?: ((...args: any[]) => any) | undefined;
}>, {
withControlls: boolean;
rotateTabsAfter: number;
buttonOnlyMode: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>;

declare const __VLS_component_2: DefineComponent<Props_2, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<Props_2> & Readonly<{}>, {
position: keyof typeof dropdownPosition;
floatPosition: keyof typeof dropdownFloatPosition;
openOnHover: boolean;
forceOpen: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

declare const __VLS_component_3: DefineComponent<Props_3, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<Props_3> & Readonly<{}>, {
position: keyof typeof modalPosition;
withBackdrop: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {
dialog: HTMLDialogElement;
}, any>;

declare const __VLS_component_4: DefineComponent<Props_4, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<Props_4> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLLabelElement>;

declare const __VLS_component_5: DefineComponent<Props_8, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<Props_8> & Readonly<{}>, {
size: "extra small" | "small" | "medium" | "large";
color: "neutral" | "primary" | "secondary" | "accent" | "ghost" | "info" | "success" | "warning" | "error";
outline: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLSpanElement>;

declare const __VLS_component_6: DefineComponent<Props_9, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<Props_9> & Readonly<{}>, {
outlined: boolean;
loading: boolean;
title: string;
class: string;
imgUrl: string;
alt: string;
description: string;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

declare const __VLS_component_7: DefineComponent<Props_10, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
search: () => any;
"update:search-data": (payload: {
tab: string;
data: any;
}) => any;
}, string, PublicProps, Readonly<Props_10> & Readonly<{
onSearch?: (() => any) | undefined;
"onUpdate:search-data"?: ((payload: {
tab: string;
data: any;
}) => any) | undefined;
}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {
searchContainer: HTMLDivElement;
}, any>;

declare const __VLS_component_8: DefineComponent<__VLS_Props, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: string[]) => any;
}, string, PublicProps, Readonly<__VLS_Props> & Readonly<{
"onUpdate:modelValue"?: ((value: string[]) => any) | undefined;
}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {
inputRef: HTMLInputElement;
}, HTMLDivElement>;

declare const __VLS_component_9: DefineComponent<Props_13, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<Props_13> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

declare type __VLS_Props = {
    modelValue: string[];
    maxTagAmount?: number;
    placeholder?: string;
    class?: string;
};

declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: {
        default?(_: {}): any;
    };
    refs: {};
    rootEl: HTMLButtonElement;
};

declare function __VLS_template_10(): {
    attrs: Partial<{}>;
    slots: {
        title?(_: {}): any;
        description?(_: {
            class: string;
        }): any;
        'call-to-action-block'?(_: {
            class: string;
        }): any;
    };
    refs: {};
    rootEl: HTMLDivElement;
};

declare function __VLS_template_11(): {
    attrs: Partial<{}>;
    slots: {
        start?(_: {}): any;
        center?(_: {}): any;
        end?(_: {}): any;
        bottom?(_: {}): any;
    };
    refs: {};
    rootEl: HTMLElement;
};

declare function __VLS_template_12(): {
    attrs: Partial<{}>;
    slots: Partial<Record<`${string}-tab`, (_: {}) => any>> & {
        default?(_: {}): any;
    };
    refs: {};
    rootEl: any;
};

declare function __VLS_template_2(): {
    attrs: Partial<{}>;
    slots: {
        default?(_: {
            tabindex: string;
            role: string;
        }): any;
        additional?(_: {}): any;
    };
    refs: {};
    rootEl: HTMLDivElement;
};

declare function __VLS_template_3(): {
    attrs: Partial<{}>;
    slots: {
        trigger?(_: {
            role: string;
        }): any;
        default?(_: {}): any;
        actions?(_: {}): any;
        'close-button'?(_: {}): any;
    };
    refs: {
        dialog: HTMLDialogElement;
    };
    rootEl: any;
};

declare function __VLS_template_4(): {
    attrs: Partial<{}>;
    slots: {
        on?(_: {}): any;
        off?(_: {}): any;
    };
    refs: {};
    rootEl: HTMLLabelElement;
};

declare function __VLS_template_5(): {
    attrs: Partial<{}>;
    slots: {
        default?(_: {}): any;
    };
    refs: {};
    rootEl: HTMLSpanElement;
};

declare function __VLS_template_6(): {
    attrs: Partial<{}>;
    slots: {
        details?(_: {}): any;
        actions?(_: {}): any;
    };
    refs: {};
    rootEl: HTMLDivElement;
};

declare function __VLS_template_7(): {
    attrs: Partial<{}>;
    slots: {
        additionalForMobile?(_: {}): any;
    };
    refs: {
        searchContainer: HTMLDivElement;
    };
    rootEl: any;
};

declare function __VLS_template_8(): {
    attrs: Partial<{}>;
    slots: {
        tag?(_: {
            key: string;
            tag: string;
        }): any;
        input?(_: {
            showInput: boolean;
        }): any;
    };
    refs: {
        inputRef: HTMLInputElement;
    };
    rootEl: HTMLDivElement;
};

declare function __VLS_template_9(): {
    attrs: Partial<{}>;
    slots: {
        default?(_: {}): any;
    };
    refs: {};
    rootEl: HTMLDivElement;
};

declare type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;

declare type __VLS_TemplateResult_10 = ReturnType<typeof __VLS_template_10>;

declare type __VLS_TemplateResult_11 = ReturnType<typeof __VLS_template_11>;

declare type __VLS_TemplateResult_12 = ReturnType<typeof __VLS_template_12>;

declare type __VLS_TemplateResult_2 = ReturnType<typeof __VLS_template_2>;

declare type __VLS_TemplateResult_3 = ReturnType<typeof __VLS_template_3>;

declare type __VLS_TemplateResult_4 = ReturnType<typeof __VLS_template_4>;

declare type __VLS_TemplateResult_5 = ReturnType<typeof __VLS_template_5>;

declare type __VLS_TemplateResult_6 = ReturnType<typeof __VLS_template_6>;

declare type __VLS_TemplateResult_7 = ReturnType<typeof __VLS_template_7>;

declare type __VLS_TemplateResult_8 = ReturnType<typeof __VLS_template_8>;

declare type __VLS_TemplateResult_9 = ReturnType<typeof __VLS_template_9>;

declare type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_10<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_11<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_12<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_2<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_3<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_4<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_5<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_6<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_7<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_8<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_9<T, S> = T & {
    new (): {
        $slots: S;
    };
};

export declare const Accordion: DefineComponent<Props_6, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<Props_6> & Readonly<{}>, {
joinItems: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>;

declare interface Accordion_2 {
    title: string;
    content: string;
}

export declare const AdvancedSearch: __VLS_WithTemplateSlots_7<typeof __VLS_component_7, __VLS_TemplateResult_7["slots"]>;

export declare const Avatar: DefineComponent<Props_7, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<Props_7> & Readonly<{}>, {
onlineStatus: "online" | "offline" | "none";
fullyRounded: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

export declare const Badge: __VLS_WithTemplateSlots_5<typeof __VLS_component_5, __VLS_TemplateResult_5["slots"]>;

export declare const ButtonComponent: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;

export declare const Card: __VLS_WithTemplateSlots_6<typeof __VLS_component_6, __VLS_TemplateResult_6["slots"]>;

declare interface Category {
    category: string;
    tabs: Tab_3[];
}

export declare const CategoryNavigation: DefineComponent<Props_14, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:currentCategory": (category: string) => any;
}, string, PublicProps, Readonly<Props_14> & Readonly<{
"onUpdate:currentCategory"?: ((category: string) => any) | undefined;
}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

export { DatetimePicker }

export declare const Dropdown: __VLS_WithTemplateSlots_2<typeof __VLS_component_2, __VLS_TemplateResult_2["slots"]>;

declare const dropdownFloatPosition: {
    start: string;
    end: string;
};

declare interface dropdownItem {
    text: string;
    link: string;
}

declare const dropdownPosition: {
    left: string;
    right: string;
    bottom: string;
    top: string;
};

export declare const Footer: __VLS_WithTemplateSlots_9<typeof __VLS_component_9, __VLS_TemplateResult_9["slots"]>;

declare interface FooterNavigation {
    title: string;
    items: Array<FooterNavigationItem>;
}

declare interface FooterNavigationItem {
    text: string;
    link: string;
    enabled: Boolean;
}

export declare const Hero: __VLS_WithTemplateSlots_10<typeof __VLS_component_10, __VLS_TemplateResult_10["slots"]>;

export declare const Loader: DefineComponent<Props_12, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<Props_12> & Readonly<{}>, {
loading: boolean;
type: "spinner" | "dots" | "ring" | "balls" | "bars" | "infinity";
size: "xs" | "sm" | "md" | "lg" | "xl";
color: "primary" | "secondary" | "accent" | "neutral" | "info" | "success" | "warning" | "error";
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>;

export declare const Modal: __VLS_WithTemplateSlots_3<typeof __VLS_component_3, __VLS_TemplateResult_3["slots"]>;

declare const modalPosition: {
    top: string;
    bottom: string;
    center: string;
};

export declare const NavigationBar: __VLS_WithTemplateSlots_11<typeof __VLS_component_11, __VLS_TemplateResult_11["slots"]>;

declare interface Props {
    outlined?: boolean;
    active?: boolean;
    loading?: boolean;
    type?: 'neutral' | 'primary' | 'secondary' | 'accent' | 'ghost' | 'link' | 'info' | 'success' | 'warning' | 'error';
    size?: string;
    shape?: 'square' | 'circle';
}

declare interface Props_10 {
    searchOptions: Array<{
        category: string;
        tabs: Tab_2[];
    }>;
    currentCategory: string;
}

declare interface Props_11 {
    initialRating: number;
    numberOfStars?: number;
    halfStars?: boolean;
    isInteractive?: boolean;
    size?: "xs" | "sm" | "md" | "lg";
}

declare interface Props_12 {
    loading?: boolean;
    size?: "xs" | "sm" | "md" | "lg" | "xl";
    type: "spinner" | "dots" | "ring" | "balls" | "bars" | "infinity";
    color: "primary" | "secondary" | "accent" | "neutral" | "info" | "success" | "warning" | "error";
}

declare interface Props_13 {
    items: Array<FooterNavigation>;
    background?: string;
    color?: string;
}

declare interface Props_14 {
    searchOptions: Array<Category>;
    currentCategory: string;
}

declare interface Props_15 {
    isCollapsed: boolean;
}

declare interface Props_16 {
    items: Array<string>;
    withControlls?: boolean;
    rotateTabsAfter?: number;
    buttonOnlyMode?: boolean;
}

declare interface Props_2 {
    items?: Array<dropdownItem>;
    position?: keyof typeof dropdownPosition;
    floatPosition?: keyof typeof dropdownFloatPosition;
    openOnHover?: boolean;
    forceOpen?: boolean;
}

declare interface Props_3 {
    position?: keyof typeof modalPosition;
    withBackdrop?: boolean;
}

declare interface Props_4 {
    effect?: "rotate" | "flip";
}

declare interface Props_5 {
    lightTheme?: string;
    darkTheme?: string;
}

declare interface Props_6 {
    name: string;
    items: Array<Accordion_2>;
    joinItems?: boolean;
    icon?: "arrow" | "plus";
}

declare interface Props_7 {
    image: string;
    onlineStatus?: "online" | "offline" | "none";
    initials?: string;
    fullyRounded?: boolean;
}

declare interface Props_8 {
    color?: "neutral" | "primary" | "secondary" | "accent" | "ghost" | "info" | "success" | "warning" | "error";
    outline?: boolean;
    size?: "extra small" | "small" | "medium" | "large";
}

declare interface Props_9 {
    imgUrl?: string;
    alt?: string;
    title?: string;
    description?: string;
    outlined?: boolean;
    loading: boolean;
    class?: string;
}

export declare const Rating: DefineComponent<Props_11, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<Props_11> & Readonly<{}>, {
size: "xs" | "sm" | "md" | "lg";
initialRating: number;
numberOfStars: number;
halfStars: boolean;
isInteractive: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLDivElement>;

export declare const Swap: __VLS_WithTemplateSlots_4<typeof __VLS_component_4, __VLS_TemplateResult_4["slots"]>;

export declare const Tab: __VLS_WithTemplateSlots_12<typeof __VLS_component_12, __VLS_TemplateResult_12["slots"]>;

declare interface Tab_2 {
    name: string | any;
    description: string;
    type: "datetime";
    range: boolean;
    props?: Object;
    value?: any;
}

declare interface Tab_3 {
    name: string | any;
    description: string;
    type: "date" | "time" | "datetime" | any;
    range: boolean;
    props?: Object;
    value?: any;
}

export declare const TagInput: __VLS_WithTemplateSlots_8<typeof __VLS_component_8, __VLS_TemplateResult_8["slots"]>;

export declare const ThemeController: DefineComponent<Props_5, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<Props_5> & Readonly<{}>, {
lightTheme: string;
darkTheme: string;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, HTMLLabelElement>;

export { }
